Compatibility Issues: Newer Operating Systems and Adobe Products

New Here ,
Sep 04, 2021 Sep 04, 2021

Copy link to clipboard

Copied

I have a 2012 MacBook Pro. I’ve been reluctant to update my operating system since I heard that newer operating systems are not compatible with Adobe products. My laptop is currently running macOS Mojave. Before I consider getting a new laptop I want to verify this is an issue. Thank you.

TOPICS
Creative Cloud

Views

42

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Sep 04, 2021 Sep 04, 2021

Copy link to clipboard

Copied

Old programs require an old operating system

 

New program https://helpx.adobe.com/creative-cloud/system-requirements.html

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Sep 04, 2021 Sep 04, 2021

Copy link to clipboard

Copied

LATEST
I heard that newer operating systems are not compatible with Adobe products. 


Need to expand on this. Version numbers are important details.

 

Older Adobe software will not run on current Mac operating systems, particularly Big Sur and Catalina.

 

Conversely, older Creative Suite (pre-Cloud) versions will only run on Mojave or older.

 

If you plan on getting a new Mac running Big Sur then you will need a Cloud subscription.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines